using System;

namespace Macaw.BizTalk.Pipeline
{
    internal static class BuildSourceFileNameBagNames
    {
        public const string Count = "FilePartCount";
        public const string Key = "FilePart{0}Key";
        public const string Namespace = "FilePart{0}Namespace";
        public const string IsLiteral = "FilePart{0}IsLiteral";

        public static string FormatKey(int index)
        {
            return String.Format(Key, index);
        }

        public static string FormatNamespace(int index)
        {
            return String.Format(Namespace, index);
        }

        public static string FormatIsLiteral(int index)
        {
            return String.Format(IsLiteral, index);
        }
    }
}
